Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::ServiceContext_var Class Reference

`#include <IOPC.h>`

Collaboration diagram for IOP::ServiceContext_var:

[legend]
List of all members.

## Public Methods
| ServiceContext_var (void)
| ServiceContext_var (ServiceContext *)
| ServiceContext_var (const ServiceContext_var &)
| ~ServiceContext_var (void)
ServiceContext_var & | operator= (ServiceContext *)
ServiceContext_var & | operator= (const ServiceContext_var &)
ServiceContext * | operator-> (void)
const ServiceContext * | operator-> (void) const
| operator const ServiceContext & () const
| operator ServiceContext & ()
| operator ServiceContext & () const
| operator ServiceContext *& ()
const ServiceContext & | in (void) const
ServiceContext & | inout (void)
ServiceContext *& | out (void)
ServiceContext * | _retn (void)
ServiceContext * | ptr (void) const
## Private Attributes
ServiceContext * | ptr_

## Constructor & Destructor Documentation

IOP::ServiceContext_var::ServiceContext_var | ( | void |  | ) |

IOP::ServiceContext_var::ServiceContext_var | ( | ServiceContext * |  | ) |

IOP::ServiceContext_var::ServiceContext_var | ( | const ServiceContext_var & |  | ) |

IOP::ServiceContext_var::~ServiceContext_var | ( | void |  | ) |

## Member Function Documentation

ServiceContext* IOP::ServiceContext_var::_retn | ( | void |  | ) |

const ServiceContext& IOP::ServiceContext_var::in | ( | void |  | ) | const

ServiceContext& IOP::ServiceContext_var::inout | ( | void |  | ) |

IOP::ServiceContext_var::operator const ServiceContext & | ( |  | ) | const

IOP::ServiceContext_var::operator ServiceContext & | ( |  | ) | const

IOP::ServiceContext_var::operator ServiceContext & | ( |  | ) |

IOP::ServiceContext_var::operator ServiceContext *& | ( |  | ) |

const ServiceContext* IOP::ServiceContext_var::operator-> | ( | void |  | ) | const

ServiceContext* IOP::ServiceContext_var::operator-> | ( | void |  | ) |

ServiceContext_var& IOP::ServiceContext_var::operator= | ( | const ServiceContext_var & |  | ) |

ServiceContext_var& IOP::ServiceContext_var::operator= | ( | ServiceContext * |  | ) |

ServiceContext*& IOP::ServiceContext_var::out | ( | void |  | ) |

ServiceContext* IOP::ServiceContext_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ServiceContext* IOP::ServiceContext_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- IOPC.h